{% extends 'Admin/layout.html.twig' %}


{% block title %}Admin Words{% endblock %}

{% block breadcrumbs %}
    <li class="breadcrumb-item active">Words</li>
{% endblock %}

{% block body_id 'admin_list_words' %}

{% block body %}


    <div class="card mb-3">
        <div class="card-body">
            {#<div class="float-left">#}
                {#{% if user.role == "ROLE_ADMIN" %}#}
                    {#<a href="{{ url('super_admin_create_limitation', {'user_id':user.id}) }}" role="button" class="btn btn-success" tabindex="-1">#}
                        {#<i class="fas fa-plus"></i>#}
                        {#Admin limitation</a>#}
                {#{% elseif user.role == "ROLE_USER" %}#}
                    {#<a href="{{ url('super_admin_create_limitation', {'user_id':user.id}) }}" role="button" class="btn btn-success" tabindex="-1">#}
                        {#<i class="fas fa-plus"></i>#}
                        {#Promote Admin</a>#}
                {#{% endif %}#}
            {#</div>#}
            <div class="float-right">
                <a href="{{ url('admin_transaction_create') }}" role="button" class="btn btn-primary" tabindex="-1">Buy new word</a>
            </div>
        </div>
    </div>


    {% for message in app.flashes('error') %}
        <div class="flash-notice alert alert-danger" role="alert">
            {{ message }}
        </div>
    {% endfor %}


    <div class="card mb-3">
        <div class="card-header text-white bg-primary">
            <i class="fas fa-table"></i>
            All Words Table
        </div>
        <div class="card-body">

            {% include 'Admin/Default/_datatable_head.html.twig' with {'url_list':url('admin_list_words')} only  %}

            <div class="row">
                <div class="col">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered table-hover table-sm">
                            <thead>
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">Name</th>
                                <th scope="col">Value</th>
                                <th scope="col">User</th>
                                <th scope="col">Status Check</th>
                                <th scope="col">Status Payment</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% if words is defined %}
                                {% for word in words %}
                                    <tr>
                                        <th scope="row">
                                            <a href="{{ url('admin_show_word', {id:word.id}) }}">{{ word.id }}</a>
                                        </th>
                                        <td>{{ word.name|e }}</td>
                                        <td>{{ word.value }}</td>
                                        <td>
                                            <a href="{{ url('admin_show_user', {id:word.user_id}) }}" target="_blank">{{ word.username|e }}</a>
                                        </td>
                                        <td>{{ word.statusCheck|trans }}</td>
                                        <td>{{ word.statusPayment|trans }}</td>
                                    </tr>
                                {% else %}
                                    <tr>
                                        <td colspan="6">
                                            <p class="text-center">No words found</p>
                                        </td>
                                    </tr>
                                {% endfor %}
                            {% endif %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <div class="float-right">
                        {% include 'Admin/Default/_pagination.html.twig' with {'p':paginator} only %}
                    </div>
                </div>
            </div>

        </div>
    </div>


{% endblock %}